"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
exports.__esModule = true;
exports.initialize = void 0;
var react_query_1 = require("react-query");
function initialize(axios, config) {
    var requests = makeRequests(axios, config === null || config === void 0 ? void 0 : config.axios);
    var queryIds = makeQueryIds();
    return {
        requests: requests,
        queryIds: queryIds,
        queries: makeQueries(requests, queryIds),
        mutations: makeMutations(requests, config === null || config === void 0 ? void 0 : config.mutations)
    };
}
exports.initialize = initialize;
function useRapiniMutation(mutationFn, config, options) {
    var _a = options !== null && options !== void 0 ? options : {}, onSuccess = _a.onSuccess, onError = _a.onError, onSettled = _a.onSettled, rest = __rest(_a, ["onSuccess", "onError", "onSettled"]);
    var queryClient = (0, react_query_1.useQueryClient)();
    var conf = config === null || config === void 0 ? void 0 : config(queryClient);
    var mutationOptions = __assign({ onSuccess: function (data, variables, context) {
            var _a;
            (_a = conf === null || conf === void 0 ? void 0 : conf.onSuccess) === null || _a === void 0 ? void 0 : _a.call(conf, data, variables, context);
            onSuccess === null || onSuccess === void 0 ? void 0 : onSuccess(data, variables, context);
        }, onError: function (error, variables, context) {
            var _a;
            (_a = conf === null || conf === void 0 ? void 0 : conf.onError) === null || _a === void 0 ? void 0 : _a.call(conf, error, variables, context);
            onError === null || onError === void 0 ? void 0 : onError(error, variables, context);
        }, onSettled: function (data, error, variables, context) {
            var _a;
            (_a = conf === null || conf === void 0 ? void 0 : conf.onSettled) === null || _a === void 0 ? void 0 : _a.call(conf, data, error, variables, context);
            onSettled === null || onSettled === void 0 ? void 0 : onSettled(data, error, variables, context);
        } }, rest);
    return (0, react_query_1.useMutation)(mutationFn, mutationOptions);
}
function nullIfUndefined(value) {
    return typeof value === "undefined" ? null : value;
}
function makeQueryIds() {
    return {
        assessmentAnswerResourceList: function (q) { return ["assessmentAnswerResourceList", q]; },
        assessmentQuestionResourceList: function (assessment_id) { return ["assessmentQuestionResourceList", assessment_id]; },
        assessmentResourceList: function (subject_id) { return ["assessmentResourceList", subject_id]; },
        assessmentResourceGet: function (id) { return ["assessmentResourceGet", id]; },
        classroomResourceGetByStudentLevel: function () { return ["classroomResourceGetByStudentLevel"]; },
        classroomResourceGetTeacherId: function () { return ["classroomResourceGetTeacherId"]; },
        classroomResourceGet: function (id) { return ["classroomResourceGet", id]; },
        documentResourceGetByLesson: function (id) { return ["documentResourceGetByLesson", id]; },
        documentResourceGet: function (id) { return ["documentResourceGet", id]; },
        exerciseAnswerResourceList: function (q) { return ["exerciseAnswerResourceList", q]; },
        exerciseResourceList: function (lesson_id) { return ["exerciseResourceList", lesson_id]; },
        exerciseQuestionResourceList: function (exercise_id) { return ["exerciseQuestionResourceList", exercise_id]; },
        exerciseResourceGet: function (id) { return ["exerciseResourceGet", id]; },
        filesResourceList: function () { return ["filesResourceList"]; },
        filesResourceGet: function (id) { return ["filesResourceGet", id]; },
        assessmentAnswerResponseGetResponseByAnswer: function (assessment_answer) { return ["assessmentAnswerResponseGetResponseByAnswer", assessment_answer]; },
        assessmentGradingResourceGetByAssessment: function (assessment_id) { return ["assessmentGradingResourceGetByAssessment", assessment_id]; },
        assessmentGradingResourceGet: function (id) { return ["assessmentGradingResourceGet", id]; },
        exerciseGradingResourceGetByExercise: function (exercise_id) { return ["exerciseGradingResourceGetByExercise", exercise_id]; },
        exerciseGradingResourceGet: function (id) { return ["exerciseGradingResourceGet", id]; },
        lessonsResourceGetLessonsByTopic: function (topic_id) { return ["lessonsResourceGetLessonsByTopic", topic_id]; },
        lessonsResourceGet: function (id) { return ["lessonsResourceGet", id]; },
        mediaResourceGetByPlaylist: function (playlist_id) { return ["mediaResourceGetByPlaylist", playlist_id]; },
        mediaResourceGet: function (id) { return ["mediaResourceGet", id]; },
        notesResourceGetNotesByLesson: function (lesson_id) { return ["notesResourceGetNotesByLesson", lesson_id]; },
        notesResourceGet: function (id) { return ["notesResourceGet", id]; },
        planGroupResourceAll: function () { return ["planGroupResourceAll"]; },
        planGroupResourceGetActive: function () { return ["planGroupResourceGetActive"]; },
        planGroupResourceGet: function (id) { return ["planGroupResourceGet", id]; },
        playlistResourceGetPlaylistsByLesson: function (lesson_id) { return ["playlistResourceGetPlaylistsByLesson", lesson_id]; },
        playlistResourceGet: function (id) { return ["playlistResourceGet", id]; },
        statsResourceGetStats: function () { return ["statsResourceGetStats"]; },
        subjectsResourceListByClassroom: function (classroom_id) { return ["subjectsResourceListByClassroom", classroom_id]; },
        subjectsResourceGetByStudentLevel: function () { return ["subjectsResourceGetByStudentLevel"]; },
        subjectsResourceGet: function (id) { return ["subjectsResourceGet", id]; },
        subjectsResourceGetByTeacher: function () { return ["subjectsResourceGetByTeacher"]; },
        subscriptionResourceGetSubByClassroom: function (id) { return ["subscriptionResourceGetSubByClassroom", id]; },
        subscriptionResourceGetByPlanGroup: function (id) { return ["subscriptionResourceGetByPlanGroup", id]; },
        subscriptionResourceGet: function (id) { return ["subscriptionResourceGet", id]; },
        subscriptionTransactionResourceAll: function () { return ["subscriptionTransactionResourceAll"]; },
        taskResourceListAll: function () { return ["taskResourceListAll"]; },
        topicsResourceGetTopicsBySubject: function (subject_id) { return ["topicsResourceGetTopicsBySubject", subject_id]; },
        topicsResourceGet: function (id) { return ["topicsResourceGet", id]; },
        userResourceGetStudent: function () { return ["userResourceGetStudent"]; },
        userResourceGetTeacher: function () { return ["userResourceGetTeacher"]; },
        utilsGetCategory: function () { return ["utilsGetCategory"]; },
        utilsGetGrades: function () { return ["utilsGetGrades"]; },
        utilsGetPlan: function () { return ["utilsGetPlan"]; },
        utilsGetPlaylist: function () { return ["utilsGetPlaylist"]; },
        utilsGetRecurrenceUnit: function () { return ["utilsGetRecurrenceUnit"]; },
        utilsGetSubjects: function () { return ["utilsGetSubjects"]; }
    };
}
function makeRequests(axios, config) {
    return {
        assessmentResourceDelete: function (payload) { return axios.request({
            method: "delete",
            url: "/v1/api/assessments",
            data: payload
        }).then(function (res) { return res.data; }); },
        assessmentResourceCreate: function (payload) { return axios.request({
            method: "post",
            url: "/v1/api/assessments",
            data: payload
        }).then(function (res) { return res.data; }); },
        assessmentAnswerResourceCreate: function (payload) { return axios.request({
            method: "post",
            url: "/v1/api/assessments/a",
            data: payload
        }).then(function (res) { return res.data; }); },
        assessmentAnswerResourceDelete: function (id) { return axios.request({
            method: "delete",
            url: "/v1/api/assessments/a/".concat(id)
        }).then(function (res) { return res.data; }); },
        assessmentAnswerResourceUpdate: function (payload, id) { return axios.request({
            method: "put",
            url: "/v1/api/assessments/a/".concat(id),
            data: payload
        }).then(function (res) { return res.data; }); },
        assessmentAnswerResourceList: function (q) { return axios.request({
            method: "get",
            url: "/v1/api/assessments/a/".concat(q)
        }).then(function (res) { return res.data; }); },
        assessmentResourceComplete: function (payload) { return axios.request({
            method: "post",
            url: "/v1/api/assessments/complete",
            data: payload
        }).then(function (res) { return res.data; }); },
        assessmentQuestionResourceCreate: function (payload) { return axios.request({
            method: "post",
            url: "/v1/api/assessments/q",
            data: payload
        }).then(function (res) { return res.data; }); },
        assessmentQuestionResourceList: function (assessment_id) { return axios.request({
            method: "get",
            url: "/v1/api/assessments/q/".concat(assessment_id)
        }).then(function (res) { return res.data; }); },
        assessmentQuestionResourceDelete: function (id) { return axios.request({
            method: "delete",
            url: "/v1/api/assessments/q/".concat(id)
        }).then(function (res) { return res.data; }); },
        assessmentQuestionResourceUpdate: function (payload, id) { return axios.request({
            method: "put",
            url: "/v1/api/assessments/q/".concat(id),
            data: payload
        }).then(function (res) { return res.data; }); },
        assessmentResourceList: function (subject_id) { return axios.request({
            method: "get",
            url: "/v1/api/assessments/s/".concat(subject_id)
        }).then(function (res) { return res.data; }); },
        assessmentResourceStart: function (payload) { return axios.request({
            method: "post",
            url: "/v1/api/assessments/start",
            data: payload
        }).then(function (res) { return res.data; }); },
        assessmentResourceGet: function (id) { return axios.request({
            method: "get",
            url: "/v1/api/assessments/".concat(id)
        }).then(function (res) { return res.data; }); },
        assessmentResourceUpdate: function (payload, id) { return axios.request({
            method: "put",
            url: "/v1/api/assessments/".concat(id),
            data: payload
        }).then(function (res) { return res.data; }); },
        authenticationResourceLogin: function (payload) { return axios.request({
            method: "post",
            url: "/v1/api/auth/login",
            data: payload
        }).then(function (res) { return res.data; }); },
        authenticationResourceRegister: function (payload) { return axios.request({
            method: "post",
            url: "/v1/api/auth/register",
            data: payload
        }).then(function (res) { return res.data; }); },
        classroomResourceDelete: function (payload) { return axios.request({
            method: "delete",
            url: "/v1/api/classrooms",
            data: payload
        }).then(function (res) { return res.data; }); },
        classroomResourceCreate: function (payload) { return axios.request({
            method: "post",
            url: "/v1/api/classrooms",
            data: payload
        }).then(function (res) { return res.data; }); },
        classroomResourceGetByStudentLevel: function () { return axios.request({
            method: "get",
            url: "/v1/api/classrooms/s"
        }).then(function (res) { return res.data; }); },
        classroomResourceGetTeacherId: function () { return axios.request({
            method: "get",
            url: "/v1/api/classrooms/t"
        }).then(function (res) { return res.data; }); },
        classroomResourceGet: function (id) { return axios.request({
            method: "get",
            url: "/v1/api/classrooms/".concat(id)
        }).then(function (res) { return res.data; }); },
        classroomResourceUpdate: function (payload, id) { return axios.request({
            method: "put",
            url: "/v1/api/classrooms/".concat(id),
            data: payload
        }).then(function (res) { return res.data; }); },
        documentResourceCreate: function (payload) { return axios.request({
            method: "post",
            url: "/v1/api/document",
            data: payload
        }).then(function (res) { return res.data; }); },
        documentResourceGetByLesson: function (id) { return axios.request({
            method: "get",
            url: "/v1/api/document/l/".concat(id)
        }).then(function (res) { return res.data; }); },
        documentResourceGet: function (id) { return axios.request({
            method: "get",
            url: "/v1/api/document/".concat(id)
        }).then(function (res) { return res.data; }); },
        exerciseResourceDelete: function (payload) { return axios.request({
            method: "delete",
            url: "/v1/api/exercises",
            data: payload
        }).then(function (res) { return res.data; }); },
        exerciseResourceCreate: function (payload) { return axios.request({
            method: "post",
            url: "/v1/api/exercises",
            data: payload
        }).then(function (res) { return res.data; }); },
        exerciseAnswerResourceCreate: function (payload) { return axios.request({
            method: "post",
            url: "/v1/api/exercises/a",
            data: payload
        }).then(function (res) { return res.data; }); },
        exerciseAnswerResourceDelete: function (id) { return axios.request({
            method: "delete",
            url: "/v1/api/exercises/a/".concat(id)
        }).then(function (res) { return res.data; }); },
        exerciseAnswerResourceUpdate: function (payload, id) { return axios.request({
            method: "put",
            url: "/v1/api/exercises/a/".concat(id),
            data: payload
        }).then(function (res) { return res.data; }); },
        exerciseAnswerResourceList: function (q) { return axios.request({
            method: "get",
            url: "/v1/api/exercises/a/".concat(q)
        }).then(function (res) { return res.data; }); },
        exerciseResourceComplete: function (payload) { return axios.request({
            method: "post",
            url: "/v1/api/exercises/complete",
            data: payload
        }).then(function (res) { return res.data; }); },
        exerciseResourceList: function (lesson_id) { return axios.request({
            method: "get",
            url: "/v1/api/exercises/l/".concat(lesson_id)
        }).then(function (res) { return res.data; }); },
        exerciseQuestionResourceCreate: function (payload) { return axios.request({
            method: "post",
            url: "/v1/api/exercises/q",
            data: payload
        }).then(function (res) { return res.data; }); },
        exerciseQuestionResourceList: function (exercise_id) { return axios.request({
            method: "get",
            url: "/v1/api/exercises/q/".concat(exercise_id)
        }).then(function (res) { return res.data; }); },
        exerciseQuestionResourceDelete: function (id) { return axios.request({
            method: "delete",
            url: "/v1/api/exercises/q/".concat(id)
        }).then(function (res) { return res.data; }); },
        exerciseQuestionResourceUpdate: function (payload, id) { return axios.request({
            method: "put",
            url: "/v1/api/exercises/q/".concat(id),
            data: payload
        }).then(function (res) { return res.data; }); },
        exerciseResourceStart: function (payload) { return axios.request({
            method: "post",
            url: "/v1/api/exercises/start",
            data: payload
        }).then(function (res) { return res.data; }); },
        exerciseResourceGet: function (id) { return axios.request({
            method: "get",
            url: "/v1/api/exercises/".concat(id)
        }).then(function (res) { return res.data; }); },
        exerciseResourceUpdate: function (payload, id) { return axios.request({
            method: "put",
            url: "/v1/api/exercises/".concat(id),
            data: payload
        }).then(function (res) { return res.data; }); },
        filesResourceList: function () { return axios.request({
            method: "get",
            url: "/v1/api/files"
        }).then(function (res) { return res.data; }); },
        filesResourceCreate: function (payload) { return axios.request({
            method: "post",
            url: "/v1/api/files",
            data: payload
        }).then(function (res) { return res.data; }); },
        filesResourceComplete: function (id) { return axios.request({
            method: "post",
            url: "/v1/api/files/complete/".concat(id)
        }).then(function (res) { return res.data; }); },
        filesResourceGet: function (id) { return axios.request({
            method: "get",
            url: "/v1/api/files/".concat(id)
        }).then(function (res) { return res.data; }); },
        assessmentAnswerResponseCreate: function (payload) { return axios.request({
            method: "post",
            url: "/v1/api/g/answer/a",
            data: payload
        }).then(function (res) { return res.data; }); },
        assessmentAnswerResponseCreateLong: function (payload) { return axios.request({
            method: "post",
            url: "/v1/api/g/answer/a/l",
            data: payload
        }).then(function (res) { return res.data; }); },
        assessmentAnswerResponseGetResponseByAnswer: function (assessment_answer) { return axios.request({
            method: "get",
            url: "/v1/api/g/answer/a/".concat(assessment_answer)
        }).then(function (res) { return res.data; }); },
        exerciseAnswerResponseCreate: function (payload) { return axios.request({
            method: "post",
            url: "/v1/api/g/answer/e",
            data: payload
        }).then(function (res) { return res.data; }); },
        assessmentGradingResourceCreate: function (payload) { return axios.request({
            method: "post",
            url: "/v1/api/grading/a",
            data: payload
        }).then(function (res) { return res.data; }); },
        assessmentGradingResourceGetByAssessment: function (assessment_id) { return axios.request({
            method: "get",
            url: "/v1/api/grading/a/a/".concat(assessment_id)
        }).then(function (res) { return res.data; }); },
        assessmentGradingResourceCompleteMarking: function (report_id) { return axios.request({
            method: "post",
            url: "/v1/api/grading/a/complete/marking/".concat(report_id)
        }).then(function (res) { return res.data; }); },
        assessmentGradingResourceMark: function (payload) { return axios.request({
            method: "post",
            url: "/v1/api/grading/a/mark",
            data: payload
        }).then(function (res) { return res.data; }); },
        assessmentGradingResourceMarkLong: function (payload) { return axios.request({
            method: "post",
            url: "/v1/api/grading/a/mark/l",
            data: payload
        }).then(function (res) { return res.data; }); },
        assessmentGradingResourceGet: function (id) { return axios.request({
            method: "get",
            url: "/v1/api/grading/a/".concat(id)
        }).then(function (res) { return res.data; }); },
        exerciseGradingResourceCreate: function (payload) { return axios.request({
            method: "post",
            url: "/v1/api/grading/e",
            data: payload
        }).then(function (res) { return res.data; }); },
        exerciseGradingResourceGetByExercise: function (exercise_id) { return axios.request({
            method: "get",
            url: "/v1/api/grading/e/e/".concat(exercise_id)
        }).then(function (res) { return res.data; }); },
        exerciseGradingResourceMark: function (payload) { return axios.request({
            method: "post",
            url: "/v1/api/grading/e/mark",
            data: payload
        }).then(function (res) { return res.data; }); },
        exerciseGradingResourceGet: function (id) { return axios.request({
            method: "get",
            url: "/v1/api/grading/e/".concat(id)
        }).then(function (res) { return res.data; }); },
        lessonsResourceDelete: function (payload) { return axios.request({
            method: "delete",
            url: "/v1/api/lessons",
            data: payload
        }).then(function (res) { return res.data; }); },
        lessonsResourceCreate: function (payload) { return axios.request({
            method: "post",
            url: "/v1/api/lessons",
            data: payload
        }).then(function (res) { return res.data; }); },
        lessonsResourceGetLessonsByTopic: function (topic_id) { return axios.request({
            method: "get",
            url: "/v1/api/lessons/t/".concat(topic_id)
        }).then(function (res) { return res.data; }); },
        lessonsResourceGet: function (id) { return axios.request({
            method: "get",
            url: "/v1/api/lessons/".concat(id)
        }).then(function (res) { return res.data; }); },
        lessonsResourceUpdate: function (payload, id) { return axios.request({
            method: "put",
            url: "/v1/api/lessons/".concat(id),
            data: payload
        }).then(function (res) { return res.data; }); },
        mediaResourceDelete: function (payload) { return axios.request({
            method: "delete",
            url: "/v1/api/media",
            data: payload
        }).then(function (res) { return res.data; }); },
        mediaResourceCreate: function (payload) { return axios.request({
            method: "post",
            url: "/v1/api/media",
            data: payload
        }).then(function (res) { return res.data; }); },
        mediaResourceGetByPlaylist: function (playlist_id) { return axios.request({
            method: "get",
            url: "/v1/api/media/p/".concat(playlist_id)
        }).then(function (res) { return res.data; }); },
        mediaResourceGet: function (id) { return axios.request({
            method: "get",
            url: "/v1/api/media/".concat(id)
        }).then(function (res) { return res.data; }); },
        mediaResourceUpdate: function (payload, id) { return axios.request({
            method: "put",
            url: "/v1/api/media/".concat(id),
            data: payload
        }).then(function (res) { return res.data; }); },
        notesResourceDelete: function (payload) { return axios.request({
            method: "delete",
            url: "/v1/api/notes",
            data: payload
        }).then(function (res) { return res.data; }); },
        notesResourceCreate: function (payload) { return axios.request({
            method: "post",
            url: "/v1/api/notes",
            data: payload
        }).then(function (res) { return res.data; }); },
        notesResourceGetNotesByLesson: function (lesson_id) { return axios.request({
            method: "get",
            url: "/v1/api/notes/n/".concat(lesson_id)
        }).then(function (res) { return res.data; }); },
        notesResourceGet: function (id) { return axios.request({
            method: "get",
            url: "/v1/api/notes/".concat(id)
        }).then(function (res) { return res.data; }); },
        notesResourceUpdate: function (payload, id) { return axios.request({
            method: "put",
            url: "/v1/api/notes/".concat(id),
            data: payload
        }).then(function (res) { return res.data; }); },
        webhookResourcePost: function (payload) { return axios.request({
            method: "post",
            url: "/v1/api/paystack-webhook",
            data: payload
        }).then(function (res) { return res.data; }); },
        planGroupResourceAll: function () { return axios.request({
            method: "get",
            url: "/v1/api/plan_group"
        }).then(function (res) { return res.data; }); },
        planGroupResourceCreate: function (payload) { return axios.request({
            method: "post",
            url: "/v1/api/plan_group",
            data: payload
        }).then(function (res) { return res.data; }); },
        planGroupResourceGetActive: function () { return axios.request({
            method: "get",
            url: "/v1/api/plan_group/active"
        }).then(function (res) { return res.data; }); },
        planGroupResourceGet: function (id) { return axios.request({
            method: "get",
            url: "/v1/api/plan_group/".concat(id)
        }).then(function (res) { return res.data; }); },
        playlistResourceDelete: function (payload) { return axios.request({
            method: "delete",
            url: "/v1/api/playlist",
            data: payload
        }).then(function (res) { return res.data; }); },
        playlistResourceCreate: function (payload) { return axios.request({
            method: "post",
            url: "/v1/api/playlist",
            data: payload
        }).then(function (res) { return res.data; }); },
        playlistResourceGetPlaylistsByLesson: function (lesson_id) { return axios.request({
            method: "get",
            url: "/v1/api/playlist/l/".concat(lesson_id)
        }).then(function (res) { return res.data; }); },
        playlistResourceGet: function (id) { return axios.request({
            method: "get",
            url: "/v1/api/playlist/".concat(id)
        }).then(function (res) { return res.data; }); },
        playlistResourceUpdate: function (payload, id) { return axios.request({
            method: "put",
            url: "/v1/api/playlist/".concat(id),
            data: payload
        }).then(function (res) { return res.data; }); },
        statsResourceGetStats: function () { return axios.request({
            method: "get",
            url: "/v1/api/stats"
        }).then(function (res) { return res.data; }); },
        subjectsResourceDelete: function (payload) { return axios.request({
            method: "delete",
            url: "/v1/api/subjects",
            data: payload
        }).then(function (res) { return res.data; }); },
        subjectsResourceCreateClassroomSubject: function (payload) { return axios.request({
            method: "post",
            url: "/v1/api/subjects/c",
            data: payload
        }).then(function (res) { return res.data; }); },
        subjectsResourceListByClassroom: function (classroom_id) { return axios.request({
            method: "get",
            url: "/v1/api/subjects/c/".concat(classroom_id)
        }).then(function (res) { return res.data; }); },
        subjectsResourceGetByStudentLevel: function () { return axios.request({
            method: "get",
            url: "/v1/api/subjects/s"
        }).then(function (res) { return res.data; }); },
        subjectsResourceCreateSubject: function (payload) { return axios.request({
            method: "post",
            url: "/v1/api/subjects/s",
            data: payload
        }).then(function (res) { return res.data; }); },
        subjectsResourceGet: function (id) { return axios.request({
            method: "get",
            url: "/v1/api/subjects/s/".concat(id)
        }).then(function (res) { return res.data; }); },
        subjectsResourceGetByTeacher: function () { return axios.request({
            method: "get",
            url: "/v1/api/subjects/t"
        }).then(function (res) { return res.data; }); },
        subjectsResourceUpdate: function (payload, id) { return axios.request({
            method: "put",
            url: "/v1/api/subjects/".concat(id),
            data: payload
        }).then(function (res) { return res.data; }); },
        subscriptionResourceCreate: function (payload) { return axios.request({
            method: "post",
            url: "/v1/api/subscription",
            data: payload
        }).then(function (res) { return res.data; }); },
        subscriptionResourceCheckClassroomSub: function (id) { return axios.request({
            method: "post",
            url: "/v1/api/subscription/check_classroom_sub/".concat(id)
        }).then(function (res) { return res.data; }); },
        subscriptionResourceClassroomSub: function (payload) { return axios.request({
            method: "post",
            url: "/v1/api/subscription/classroom_sub",
            data: payload
        }).then(function (res) { return res.data; }); },
        subscriptionResourceGetSubByClassroom: function (id) { return axios.request({
            method: "get",
            url: "/v1/api/subscription/classroom_sub/".concat(id)
        }).then(function (res) { return res.data; }); },
        subscriptionResourceGetByPlanGroup: function (id) { return axios.request({
            method: "get",
            url: "/v1/api/subscription/group_id/".concat(id)
        }).then(function (res) { return res.data; }); },
        subscriptionResourceUserSub: function (payload) { return axios.request({
            method: "post",
            url: "/v1/api/subscription/user_sub",
            data: payload
        }).then(function (res) { return res.data; }); },
        subscriptionResourceGet: function (id) { return axios.request({
            method: "get",
            url: "/v1/api/subscription/".concat(id)
        }).then(function (res) { return res.data; }); },
        subscriptionResourceUpdate: function (payload, id) { return axios.request({
            method: "put",
            url: "/v1/api/subscription/".concat(id),
            data: payload
        }).then(function (res) { return res.data; }); },
        subscriptionTransactionResourceAll: function () { return axios.request({
            method: "get",
            url: "/v1/api/subscription_transaction"
        }).then(function (res) { return res.data; }); },
        subscriptionTransactionResourceCreate: function (payload) { return axios.request({
            method: "post",
            url: "/v1/api/subscription_transaction",
            data: payload
        }).then(function (res) { return res.data; }); },
        subscriptionTransactionResourceDelete: function (id) { return axios.request({
            method: "delete",
            url: "/v1/api/subscription_transaction/".concat(id)
        }).then(function (res) { return res.data; }); },
        taskResourceListAll: function () { return axios.request({
            method: "get",
            url: "/v1/api/tasks"
        }).then(function (res) { return res.data; }); },
        topicsResourceDelete: function (payload) { return axios.request({
            method: "delete",
            url: "/v1/api/topics",
            data: payload
        }).then(function (res) { return res.data; }); },
        topicsResourceCreate: function (payload) { return axios.request({
            method: "post",
            url: "/v1/api/topics",
            data: payload
        }).then(function (res) { return res.data; }); },
        topicsResourceGetTopicsBySubject: function (subject_id) { return axios.request({
            method: "get",
            url: "/v1/api/topics/s/".concat(subject_id)
        }).then(function (res) { return res.data; }); },
        topicsResourceGet: function (id) { return axios.request({
            method: "get",
            url: "/v1/api/topics/".concat(id)
        }).then(function (res) { return res.data; }); },
        topicsResourceUpdate: function (payload, id) { return axios.request({
            method: "put",
            url: "/v1/api/topics/".concat(id),
            data: payload
        }).then(function (res) { return res.data; }); },
        userResourceF: function () { return axios.request({
            method: "post",
            url: "/v1/api/user/f"
        }).then(function (res) { return res.data; }); },
        userResourceGetStudent: function () { return axios.request({
            method: "get",
            url: "/v1/api/user/student"
        }).then(function (res) { return res.data; }); },
        userResourceCreateStudent: function (payload) { return axios.request({
            method: "post",
            url: "/v1/api/user/student",
            data: payload
        }).then(function (res) { return res.data; }); },
        userResourceGetTeacher: function () { return axios.request({
            method: "get",
            url: "/v1/api/user/teacher"
        }).then(function (res) { return res.data; }); },
        userResourceCreateTeacher: function () { return axios.request({
            method: "post",
            url: "/v1/api/user/teacher"
        }).then(function (res) { return res.data; }); },
        utilsGetCategory: function () { return axios.request({
            method: "get",
            url: "/v1/api/utils/category"
        }).then(function (res) { return res.data; }); },
        utilsGetGrades: function () { return axios.request({
            method: "get",
            url: "/v1/api/utils/grade"
        }).then(function (res) { return res.data; }); },
        utilsGetPlan: function () { return axios.request({
            method: "get",
            url: "/v1/api/utils/plan"
        }).then(function (res) { return res.data; }); },
        utilsGetPlaylist: function () { return axios.request({
            method: "get",
            url: "/v1/api/utils/playlist"
        }).then(function (res) { return res.data; }); },
        utilsGetRecurrenceUnit: function () { return axios.request({
            method: "get",
            url: "/v1/api/utils/recurrence"
        }).then(function (res) { return res.data; }); },
        utilsGetSubjects: function () { return axios.request({
            method: "get",
            url: "/v1/api/utils/subject"
        }).then(function (res) { return res.data; }); }
    };
}
function makeQueries(requests, queryIds) {
    return {
        useAssessmentAnswerResourceList: function (q, options) { return (0, react_query_1.useQuery)(queryIds.assessmentAnswerResourceList(q), function () { return requests.assessmentAnswerResourceList(q); }, options); },
        useAssessmentQuestionResourceList: function (assessment_id, options) { return (0, react_query_1.useQuery)(queryIds.assessmentQuestionResourceList(assessment_id), function () { return requests.assessmentQuestionResourceList(assessment_id); }, options); },
        useAssessmentResourceList: function (subject_id, options) { return (0, react_query_1.useQuery)(queryIds.assessmentResourceList(subject_id), function () { return requests.assessmentResourceList(subject_id); }, options); },
        useAssessmentResourceGet: function (id, options) { return (0, react_query_1.useQuery)(queryIds.assessmentResourceGet(id), function () { return requests.assessmentResourceGet(id); }, options); },
        useClassroomResourceGetByStudentLevel: function (options) { return (0, react_query_1.useQuery)(queryIds.classroomResourceGetByStudentLevel(), function () { return requests.classroomResourceGetByStudentLevel(); }, options); },
        useClassroomResourceGetTeacherId: function (options) { return (0, react_query_1.useQuery)(queryIds.classroomResourceGetTeacherId(), function () { return requests.classroomResourceGetTeacherId(); }, options); },
        useClassroomResourceGet: function (id, options) { return (0, react_query_1.useQuery)(queryIds.classroomResourceGet(id), function () { return requests.classroomResourceGet(id); }, options); },
        useDocumentResourceGetByLesson: function (id, options) { return (0, react_query_1.useQuery)(queryIds.documentResourceGetByLesson(id), function () { return requests.documentResourceGetByLesson(id); }, options); },
        useDocumentResourceGet: function (id, options) { return (0, react_query_1.useQuery)(queryIds.documentResourceGet(id), function () { return requests.documentResourceGet(id); }, options); },
        useExerciseAnswerResourceList: function (q, options) { return (0, react_query_1.useQuery)(queryIds.exerciseAnswerResourceList(q), function () { return requests.exerciseAnswerResourceList(q); }, options); },
        useExerciseResourceList: function (lesson_id, options) { return (0, react_query_1.useQuery)(queryIds.exerciseResourceList(lesson_id), function () { return requests.exerciseResourceList(lesson_id); }, options); },
        useExerciseQuestionResourceList: function (exercise_id, options) { return (0, react_query_1.useQuery)(queryIds.exerciseQuestionResourceList(exercise_id), function () { return requests.exerciseQuestionResourceList(exercise_id); }, options); },
        useExerciseResourceGet: function (id, options) { return (0, react_query_1.useQuery)(queryIds.exerciseResourceGet(id), function () { return requests.exerciseResourceGet(id); }, options); },
        useFilesResourceList: function (options) { return (0, react_query_1.useQuery)(queryIds.filesResourceList(), function () { return requests.filesResourceList(); }, options); },
        useFilesResourceGet: function (id, options) { return (0, react_query_1.useQuery)(queryIds.filesResourceGet(id), function () { return requests.filesResourceGet(id); }, options); },
        useAssessmentAnswerResponseGetResponseByAnswer: function (assessment_answer, options) { return (0, react_query_1.useQuery)(queryIds.assessmentAnswerResponseGetResponseByAnswer(assessment_answer), function () { return requests.assessmentAnswerResponseGetResponseByAnswer(assessment_answer); }, options); },
        useAssessmentGradingResourceGetByAssessment: function (assessment_id, options) { return (0, react_query_1.useQuery)(queryIds.assessmentGradingResourceGetByAssessment(assessment_id), function () { return requests.assessmentGradingResourceGetByAssessment(assessment_id); }, options); },
        useAssessmentGradingResourceGet: function (id, options) { return (0, react_query_1.useQuery)(queryIds.assessmentGradingResourceGet(id), function () { return requests.assessmentGradingResourceGet(id); }, options); },
        useExerciseGradingResourceGetByExercise: function (exercise_id, options) { return (0, react_query_1.useQuery)(queryIds.exerciseGradingResourceGetByExercise(exercise_id), function () { return requests.exerciseGradingResourceGetByExercise(exercise_id); }, options); },
        useExerciseGradingResourceGet: function (id, options) { return (0, react_query_1.useQuery)(queryIds.exerciseGradingResourceGet(id), function () { return requests.exerciseGradingResourceGet(id); }, options); },
        useLessonsResourceGetLessonsByTopic: function (topic_id, options) { return (0, react_query_1.useQuery)(queryIds.lessonsResourceGetLessonsByTopic(topic_id), function () { return requests.lessonsResourceGetLessonsByTopic(topic_id); }, options); },
        useLessonsResourceGet: function (id, options) { return (0, react_query_1.useQuery)(queryIds.lessonsResourceGet(id), function () { return requests.lessonsResourceGet(id); }, options); },
        useMediaResourceGetByPlaylist: function (playlist_id, options) { return (0, react_query_1.useQuery)(queryIds.mediaResourceGetByPlaylist(playlist_id), function () { return requests.mediaResourceGetByPlaylist(playlist_id); }, options); },
        useMediaResourceGet: function (id, options) { return (0, react_query_1.useQuery)(queryIds.mediaResourceGet(id), function () { return requests.mediaResourceGet(id); }, options); },
        useNotesResourceGetNotesByLesson: function (lesson_id, options) { return (0, react_query_1.useQuery)(queryIds.notesResourceGetNotesByLesson(lesson_id), function () { return requests.notesResourceGetNotesByLesson(lesson_id); }, options); },
        useNotesResourceGet: function (id, options) { return (0, react_query_1.useQuery)(queryIds.notesResourceGet(id), function () { return requests.notesResourceGet(id); }, options); },
        usePlanGroupResourceAll: function (options) { return (0, react_query_1.useQuery)(queryIds.planGroupResourceAll(), function () { return requests.planGroupResourceAll(); }, options); },
        usePlanGroupResourceGetActive: function (options) { return (0, react_query_1.useQuery)(queryIds.planGroupResourceGetActive(), function () { return requests.planGroupResourceGetActive(); }, options); },
        usePlanGroupResourceGet: function (id, options) { return (0, react_query_1.useQuery)(queryIds.planGroupResourceGet(id), function () { return requests.planGroupResourceGet(id); }, options); },
        usePlaylistResourceGetPlaylistsByLesson: function (lesson_id, options) { return (0, react_query_1.useQuery)(queryIds.playlistResourceGetPlaylistsByLesson(lesson_id), function () { return requests.playlistResourceGetPlaylistsByLesson(lesson_id); }, options); },
        usePlaylistResourceGet: function (id, options) { return (0, react_query_1.useQuery)(queryIds.playlistResourceGet(id), function () { return requests.playlistResourceGet(id); }, options); },
        useStatsResourceGetStats: function (options) { return (0, react_query_1.useQuery)(queryIds.statsResourceGetStats(), function () { return requests.statsResourceGetStats(); }, options); },
        useSubjectsResourceListByClassroom: function (classroom_id, options) { return (0, react_query_1.useQuery)(queryIds.subjectsResourceListByClassroom(classroom_id), function () { return requests.subjectsResourceListByClassroom(classroom_id); }, options); },
        useSubjectsResourceGetByStudentLevel: function (options) { return (0, react_query_1.useQuery)(queryIds.subjectsResourceGetByStudentLevel(), function () { return requests.subjectsResourceGetByStudentLevel(); }, options); },
        useSubjectsResourceGet: function (id, options) { return (0, react_query_1.useQuery)(queryIds.subjectsResourceGet(id), function () { return requests.subjectsResourceGet(id); }, options); },
        useSubjectsResourceGetByTeacher: function (options) { return (0, react_query_1.useQuery)(queryIds.subjectsResourceGetByTeacher(), function () { return requests.subjectsResourceGetByTeacher(); }, options); },
        useSubscriptionResourceGetSubByClassroom: function (id, options) { return (0, react_query_1.useQuery)(queryIds.subscriptionResourceGetSubByClassroom(id), function () { return requests.subscriptionResourceGetSubByClassroom(id); }, options); },
        useSubscriptionResourceGetByPlanGroup: function (id, options) { return (0, react_query_1.useQuery)(queryIds.subscriptionResourceGetByPlanGroup(id), function () { return requests.subscriptionResourceGetByPlanGroup(id); }, options); },
        useSubscriptionResourceGet: function (id, options) { return (0, react_query_1.useQuery)(queryIds.subscriptionResourceGet(id), function () { return requests.subscriptionResourceGet(id); }, options); },
        useSubscriptionTransactionResourceAll: function (options) { return (0, react_query_1.useQuery)(queryIds.subscriptionTransactionResourceAll(), function () { return requests.subscriptionTransactionResourceAll(); }, options); },
        useTaskResourceListAll: function (options) { return (0, react_query_1.useQuery)(queryIds.taskResourceListAll(), function () { return requests.taskResourceListAll(); }, options); },
        useTopicsResourceGetTopicsBySubject: function (subject_id, options) { return (0, react_query_1.useQuery)(queryIds.topicsResourceGetTopicsBySubject(subject_id), function () { return requests.topicsResourceGetTopicsBySubject(subject_id); }, options); },
        useTopicsResourceGet: function (id, options) { return (0, react_query_1.useQuery)(queryIds.topicsResourceGet(id), function () { return requests.topicsResourceGet(id); }, options); },
        useUserResourceGetStudent: function (options) { return (0, react_query_1.useQuery)(queryIds.userResourceGetStudent(), function () { return requests.userResourceGetStudent(); }, options); },
        useUserResourceGetTeacher: function (options) { return (0, react_query_1.useQuery)(queryIds.userResourceGetTeacher(), function () { return requests.userResourceGetTeacher(); }, options); },
        useUtilsGetCategory: function (options) { return (0, react_query_1.useQuery)(queryIds.utilsGetCategory(), function () { return requests.utilsGetCategory(); }, options); },
        useUtilsGetGrades: function (options) { return (0, react_query_1.useQuery)(queryIds.utilsGetGrades(), function () { return requests.utilsGetGrades(); }, options); },
        useUtilsGetPlan: function (options) { return (0, react_query_1.useQuery)(queryIds.utilsGetPlan(), function () { return requests.utilsGetPlan(); }, options); },
        useUtilsGetPlaylist: function (options) { return (0, react_query_1.useQuery)(queryIds.utilsGetPlaylist(), function () { return requests.utilsGetPlaylist(); }, options); },
        useUtilsGetRecurrenceUnit: function (options) { return (0, react_query_1.useQuery)(queryIds.utilsGetRecurrenceUnit(), function () { return requests.utilsGetRecurrenceUnit(); }, options); },
        useUtilsGetSubjects: function (options) { return (0, react_query_1.useQuery)(queryIds.utilsGetSubjects(), function () { return requests.utilsGetSubjects(); }, options); }
    };
}
function makeMutations(requests, config) {
    return {
        useAssessmentResourceCreate: function (options) { return useRapiniMutation(function (payload) { return requests.assessmentResourceCreate(payload); }, config === null || config === void 0 ? void 0 : config.useAssessmentResourceCreate, options); },
        useAssessmentResourceDelete: function (options) { return useRapiniMutation(function (payload) { return requests.assessmentResourceDelete(payload); }, config === null || config === void 0 ? void 0 : config.useAssessmentResourceDelete, options); },
        useAssessmentAnswerResourceCreate: function (options) { return useRapiniMutation(function (payload) { return requests.assessmentAnswerResourceCreate(payload); }, config === null || config === void 0 ? void 0 : config.useAssessmentAnswerResourceCreate, options); },
        useAssessmentAnswerResourceUpdate: function (id, options) { return useRapiniMutation(function (payload) { return requests.assessmentAnswerResourceUpdate(payload, id); }, config === null || config === void 0 ? void 0 : config.useAssessmentAnswerResourceUpdate, options); },
        useAssessmentAnswerResourceDelete: function (id, options) { return useRapiniMutation(function () { return requests.assessmentAnswerResourceDelete(id); }, config === null || config === void 0 ? void 0 : config.useAssessmentAnswerResourceDelete, options); },
        useAssessmentResourceComplete: function (options) { return useRapiniMutation(function (payload) { return requests.assessmentResourceComplete(payload); }, config === null || config === void 0 ? void 0 : config.useAssessmentResourceComplete, options); },
        useAssessmentQuestionResourceCreate: function (options) { return useRapiniMutation(function (payload) { return requests.assessmentQuestionResourceCreate(payload); }, config === null || config === void 0 ? void 0 : config.useAssessmentQuestionResourceCreate, options); },
        useAssessmentQuestionResourceUpdate: function (id, options) { return useRapiniMutation(function (payload) { return requests.assessmentQuestionResourceUpdate(payload, id); }, config === null || config === void 0 ? void 0 : config.useAssessmentQuestionResourceUpdate, options); },
        useAssessmentQuestionResourceDelete: function (id, options) { return useRapiniMutation(function () { return requests.assessmentQuestionResourceDelete(id); }, config === null || config === void 0 ? void 0 : config.useAssessmentQuestionResourceDelete, options); },
        useAssessmentResourceStart: function (options) { return useRapiniMutation(function (payload) { return requests.assessmentResourceStart(payload); }, config === null || config === void 0 ? void 0 : config.useAssessmentResourceStart, options); },
        useAssessmentResourceUpdate: function (id, options) { return useRapiniMutation(function (payload) { return requests.assessmentResourceUpdate(payload, id); }, config === null || config === void 0 ? void 0 : config.useAssessmentResourceUpdate, options); },
        useAuthenticationResourceLogin: function (options) { return useRapiniMutation(function (payload) { return requests.authenticationResourceLogin(payload); }, config === null || config === void 0 ? void 0 : config.useAuthenticationResourceLogin, options); },
        useAuthenticationResourceRegister: function (options) { return useRapiniMutation(function (payload) { return requests.authenticationResourceRegister(payload); }, config === null || config === void 0 ? void 0 : config.useAuthenticationResourceRegister, options); },
        useClassroomResourceCreate: function (options) { return useRapiniMutation(function (payload) { return requests.classroomResourceCreate(payload); }, config === null || config === void 0 ? void 0 : config.useClassroomResourceCreate, options); },
        useClassroomResourceDelete: function (options) { return useRapiniMutation(function (payload) { return requests.classroomResourceDelete(payload); }, config === null || config === void 0 ? void 0 : config.useClassroomResourceDelete, options); },
        useClassroomResourceUpdate: function (id, options) { return useRapiniMutation(function (payload) { return requests.classroomResourceUpdate(payload, id); }, config === null || config === void 0 ? void 0 : config.useClassroomResourceUpdate, options); },
        useDocumentResourceCreate: function (options) { return useRapiniMutation(function (payload) { return requests.documentResourceCreate(payload); }, config === null || config === void 0 ? void 0 : config.useDocumentResourceCreate, options); },
        useExerciseResourceCreate: function (options) { return useRapiniMutation(function (payload) { return requests.exerciseResourceCreate(payload); }, config === null || config === void 0 ? void 0 : config.useExerciseResourceCreate, options); },
        useExerciseResourceDelete: function (options) { return useRapiniMutation(function (payload) { return requests.exerciseResourceDelete(payload); }, config === null || config === void 0 ? void 0 : config.useExerciseResourceDelete, options); },
        useExerciseAnswerResourceCreate: function (options) { return useRapiniMutation(function (payload) { return requests.exerciseAnswerResourceCreate(payload); }, config === null || config === void 0 ? void 0 : config.useExerciseAnswerResourceCreate, options); },
        useExerciseAnswerResourceUpdate: function (id, options) { return useRapiniMutation(function (payload) { return requests.exerciseAnswerResourceUpdate(payload, id); }, config === null || config === void 0 ? void 0 : config.useExerciseAnswerResourceUpdate, options); },
        useExerciseAnswerResourceDelete: function (id, options) { return useRapiniMutation(function () { return requests.exerciseAnswerResourceDelete(id); }, config === null || config === void 0 ? void 0 : config.useExerciseAnswerResourceDelete, options); },
        useExerciseResourceComplete: function (options) { return useRapiniMutation(function (payload) { return requests.exerciseResourceComplete(payload); }, config === null || config === void 0 ? void 0 : config.useExerciseResourceComplete, options); },
        useExerciseQuestionResourceCreate: function (options) { return useRapiniMutation(function (payload) { return requests.exerciseQuestionResourceCreate(payload); }, config === null || config === void 0 ? void 0 : config.useExerciseQuestionResourceCreate, options); },
        useExerciseQuestionResourceUpdate: function (id, options) { return useRapiniMutation(function (payload) { return requests.exerciseQuestionResourceUpdate(payload, id); }, config === null || config === void 0 ? void 0 : config.useExerciseQuestionResourceUpdate, options); },
        useExerciseQuestionResourceDelete: function (id, options) { return useRapiniMutation(function () { return requests.exerciseQuestionResourceDelete(id); }, config === null || config === void 0 ? void 0 : config.useExerciseQuestionResourceDelete, options); },
        useExerciseResourceStart: function (options) { return useRapiniMutation(function (payload) { return requests.exerciseResourceStart(payload); }, config === null || config === void 0 ? void 0 : config.useExerciseResourceStart, options); },
        useExerciseResourceUpdate: function (id, options) { return useRapiniMutation(function (payload) { return requests.exerciseResourceUpdate(payload, id); }, config === null || config === void 0 ? void 0 : config.useExerciseResourceUpdate, options); },
        useFilesResourceCreate: function (options) { return useRapiniMutation(function (payload) { return requests.filesResourceCreate(payload); }, config === null || config === void 0 ? void 0 : config.useFilesResourceCreate, options); },
        useFilesResourceComplete: function (id, options) { return useRapiniMutation(function () { return requests.filesResourceComplete(id); }, config === null || config === void 0 ? void 0 : config.useFilesResourceComplete, options); },
        useAssessmentAnswerResponseCreate: function (options) { return useRapiniMutation(function (payload) { return requests.assessmentAnswerResponseCreate(payload); }, config === null || config === void 0 ? void 0 : config.useAssessmentAnswerResponseCreate, options); },
        useAssessmentAnswerResponseCreateLong: function (options) { return useRapiniMutation(function (payload) { return requests.assessmentAnswerResponseCreateLong(payload); }, config === null || config === void 0 ? void 0 : config.useAssessmentAnswerResponseCreateLong, options); },
        useExerciseAnswerResponseCreate: function (options) { return useRapiniMutation(function (payload) { return requests.exerciseAnswerResponseCreate(payload); }, config === null || config === void 0 ? void 0 : config.useExerciseAnswerResponseCreate, options); },
        useAssessmentGradingResourceCreate: function (options) { return useRapiniMutation(function (payload) { return requests.assessmentGradingResourceCreate(payload); }, config === null || config === void 0 ? void 0 : config.useAssessmentGradingResourceCreate, options); },
        useAssessmentGradingResourceCompleteMarking: function (report_id, options) { return useRapiniMutation(function () { return requests.assessmentGradingResourceCompleteMarking(report_id); }, config === null || config === void 0 ? void 0 : config.useAssessmentGradingResourceCompleteMarking, options); },
        useAssessmentGradingResourceMark: function (options) { return useRapiniMutation(function (payload) { return requests.assessmentGradingResourceMark(payload); }, config === null || config === void 0 ? void 0 : config.useAssessmentGradingResourceMark, options); },
        useAssessmentGradingResourceMarkLong: function (options) { return useRapiniMutation(function (payload) { return requests.assessmentGradingResourceMarkLong(payload); }, config === null || config === void 0 ? void 0 : config.useAssessmentGradingResourceMarkLong, options); },
        useExerciseGradingResourceCreate: function (options) { return useRapiniMutation(function (payload) { return requests.exerciseGradingResourceCreate(payload); }, config === null || config === void 0 ? void 0 : config.useExerciseGradingResourceCreate, options); },
        useExerciseGradingResourceMark: function (options) { return useRapiniMutation(function (payload) { return requests.exerciseGradingResourceMark(payload); }, config === null || config === void 0 ? void 0 : config.useExerciseGradingResourceMark, options); },
        useLessonsResourceCreate: function (options) { return useRapiniMutation(function (payload) { return requests.lessonsResourceCreate(payload); }, config === null || config === void 0 ? void 0 : config.useLessonsResourceCreate, options); },
        useLessonsResourceDelete: function (options) { return useRapiniMutation(function (payload) { return requests.lessonsResourceDelete(payload); }, config === null || config === void 0 ? void 0 : config.useLessonsResourceDelete, options); },
        useLessonsResourceUpdate: function (id, options) { return useRapiniMutation(function (payload) { return requests.lessonsResourceUpdate(payload, id); }, config === null || config === void 0 ? void 0 : config.useLessonsResourceUpdate, options); },
        useMediaResourceCreate: function (options) { return useRapiniMutation(function (payload) { return requests.mediaResourceCreate(payload); }, config === null || config === void 0 ? void 0 : config.useMediaResourceCreate, options); },
        useMediaResourceDelete: function (options) { return useRapiniMutation(function (payload) { return requests.mediaResourceDelete(payload); }, config === null || config === void 0 ? void 0 : config.useMediaResourceDelete, options); },
        useMediaResourceUpdate: function (id, options) { return useRapiniMutation(function (payload) { return requests.mediaResourceUpdate(payload, id); }, config === null || config === void 0 ? void 0 : config.useMediaResourceUpdate, options); },
        useNotesResourceCreate: function (options) { return useRapiniMutation(function (payload) { return requests.notesResourceCreate(payload); }, config === null || config === void 0 ? void 0 : config.useNotesResourceCreate, options); },
        useNotesResourceDelete: function (options) { return useRapiniMutation(function (payload) { return requests.notesResourceDelete(payload); }, config === null || config === void 0 ? void 0 : config.useNotesResourceDelete, options); },
        useNotesResourceUpdate: function (id, options) { return useRapiniMutation(function (payload) { return requests.notesResourceUpdate(payload, id); }, config === null || config === void 0 ? void 0 : config.useNotesResourceUpdate, options); },
        useWebhookResourcePost: function (options) { return useRapiniMutation(function (payload) { return requests.webhookResourcePost(payload); }, config === null || config === void 0 ? void 0 : config.useWebhookResourcePost, options); },
        usePlanGroupResourceCreate: function (options) { return useRapiniMutation(function (payload) { return requests.planGroupResourceCreate(payload); }, config === null || config === void 0 ? void 0 : config.usePlanGroupResourceCreate, options); },
        usePlaylistResourceCreate: function (options) { return useRapiniMutation(function (payload) { return requests.playlistResourceCreate(payload); }, config === null || config === void 0 ? void 0 : config.usePlaylistResourceCreate, options); },
        usePlaylistResourceDelete: function (options) { return useRapiniMutation(function (payload) { return requests.playlistResourceDelete(payload); }, config === null || config === void 0 ? void 0 : config.usePlaylistResourceDelete, options); },
        usePlaylistResourceUpdate: function (id, options) { return useRapiniMutation(function (payload) { return requests.playlistResourceUpdate(payload, id); }, config === null || config === void 0 ? void 0 : config.usePlaylistResourceUpdate, options); },
        useSubjectsResourceDelete: function (options) { return useRapiniMutation(function (payload) { return requests.subjectsResourceDelete(payload); }, config === null || config === void 0 ? void 0 : config.useSubjectsResourceDelete, options); },
        useSubjectsResourceCreateClassroomSubject: function (options) { return useRapiniMutation(function (payload) { return requests.subjectsResourceCreateClassroomSubject(payload); }, config === null || config === void 0 ? void 0 : config.useSubjectsResourceCreateClassroomSubject, options); },
        useSubjectsResourceCreateSubject: function (options) { return useRapiniMutation(function (payload) { return requests.subjectsResourceCreateSubject(payload); }, config === null || config === void 0 ? void 0 : config.useSubjectsResourceCreateSubject, options); },
        useSubjectsResourceUpdate: function (id, options) { return useRapiniMutation(function (payload) { return requests.subjectsResourceUpdate(payload, id); }, config === null || config === void 0 ? void 0 : config.useSubjectsResourceUpdate, options); },
        useSubscriptionResourceCreate: function (options) { return useRapiniMutation(function (payload) { return requests.subscriptionResourceCreate(payload); }, config === null || config === void 0 ? void 0 : config.useSubscriptionResourceCreate, options); },
        useSubscriptionResourceCheckClassroomSub: function (id, options) { return useRapiniMutation(function () { return requests.subscriptionResourceCheckClassroomSub(id); }, config === null || config === void 0 ? void 0 : config.useSubscriptionResourceCheckClassroomSub, options); },
        useSubscriptionResourceClassroomSub: function (options) { return useRapiniMutation(function (payload) { return requests.subscriptionResourceClassroomSub(payload); }, config === null || config === void 0 ? void 0 : config.useSubscriptionResourceClassroomSub, options); },
        useSubscriptionResourceUserSub: function (options) { return useRapiniMutation(function (payload) { return requests.subscriptionResourceUserSub(payload); }, config === null || config === void 0 ? void 0 : config.useSubscriptionResourceUserSub, options); },
        useSubscriptionResourceUpdate: function (id, options) { return useRapiniMutation(function (payload) { return requests.subscriptionResourceUpdate(payload, id); }, config === null || config === void 0 ? void 0 : config.useSubscriptionResourceUpdate, options); },
        useSubscriptionTransactionResourceCreate: function (options) { return useRapiniMutation(function (payload) { return requests.subscriptionTransactionResourceCreate(payload); }, config === null || config === void 0 ? void 0 : config.useSubscriptionTransactionResourceCreate, options); },
        useSubscriptionTransactionResourceDelete: function (id, options) { return useRapiniMutation(function () { return requests.subscriptionTransactionResourceDelete(id); }, config === null || config === void 0 ? void 0 : config.useSubscriptionTransactionResourceDelete, options); },
        useTopicsResourceCreate: function (options) { return useRapiniMutation(function (payload) { return requests.topicsResourceCreate(payload); }, config === null || config === void 0 ? void 0 : config.useTopicsResourceCreate, options); },
        useTopicsResourceDelete: function (options) { return useRapiniMutation(function (payload) { return requests.topicsResourceDelete(payload); }, config === null || config === void 0 ? void 0 : config.useTopicsResourceDelete, options); },
        useTopicsResourceUpdate: function (id, options) { return useRapiniMutation(function (payload) { return requests.topicsResourceUpdate(payload, id); }, config === null || config === void 0 ? void 0 : config.useTopicsResourceUpdate, options); },
        useUserResourceF: function (options) { return useRapiniMutation(function () { return requests.userResourceF(); }, config === null || config === void 0 ? void 0 : config.useUserResourceF, options); },
        useUserResourceCreateStudent: function (options) { return useRapiniMutation(function (payload) { return requests.userResourceCreateStudent(payload); }, config === null || config === void 0 ? void 0 : config.useUserResourceCreateStudent, options); },
        useUserResourceCreateTeacher: function (options) { return useRapiniMutation(function () { return requests.userResourceCreateTeacher(); }, config === null || config === void 0 ? void 0 : config.useUserResourceCreateTeacher, options); }
    };
}
